package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.Material;
import com.patzn.cloud.service.lims.hmhj.mapper.MaterialMapper;
import com.patzn.cloud.service.lims.hmhj.service.IMaterialService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 * 物资表 服务实现类
 *
 * @author wwd
 * @since 2021-02-03
 */
@Service
public class MaterialServiceImpl extends BaseServiceImpl<MaterialMapper, Material> implements IMaterialService {

    @Override
    public Page<Material> page(Page<Material> page, Material material) {
        Wrapper wrapper = new EntityWrapper<>(material);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
