package com.patzn.cloud.service.lims.hmhj.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.patzn.cloud.commons.controller.Account;
import com.patzn.cloud.commons.service.IBaseService;
import com.patzn.cloud.service.hmhj.entity.ContractSampleRecord;
import com.patzn.cloud.service.hmhj.enums.ContractSampleStatusEnum;

import java.util.List;

/**
 * 合同样品操作日志 服务类
 *
 * @author wwd
 * @since 2021-02-05
 */
public interface IContractSampleRecordService extends IBaseService<ContractSampleRecord> {

    Page<ContractSampleRecord> page(Page<ContractSampleRecord> page, ContractSampleRecord contractSampleRecord);

    boolean removeByIds(List<Long> ids);

    void record(Long[] ids, ContractSampleStatusEnum proTecCheck, ContractSampleStatusEnum storeTransport, int i, String reason, Account account);
}
